apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  name: prod-umami-db
  namespace: analytics
spec:
  instances: 1
  imageName: ghcr.io/cloudnative-pg/postgresql:17.2-27-bookworm
  storage:
    resizeInUseVolumes: true
    size: 10Gi
  backup:
    retentionPolicy: 15d
    target: prefer-standby
